#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 31. KDE Frameworks 6 Based Applications

- Prev

  Konsole-25.12.2

- Next

  libkexiv2-25.12.2

- Up
- Home

# konversation-25.12.2

## Introduction to konversation

The konversation package is a KDE Frameworks-based IRC client.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://download.kde.org/stable/release-service/25.12.2/src/konversation-25.12.2.tar.xz

- Download MD5 sum: b9c6f8769c1b9442a774fd451e3177b0

- Download size: 4.3 MB

- Estimated disk space required: 72 MB

- Estimated build time: 0.6 SBU (using parallelism=4)

### konversation Dependencies

#### Required

KDE Frameworks-6.23.0

## Installation of konversation

Install konversation by running the following commands:

    mkdir build &&
    cd    build &&

    cmake -D CMAKE_INSTALL_PREFIX=$KF6_PREFIX \
          -D CMAKE_BUILD_TYPE=Release         \
          -D BUILD_TESTING=OFF                \
          -W no-dev .. &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

## Contents

Installed Programs: konversation
Installed Libraries: None
Installed Directories: $KF6_PREFIX/share/doc/HTML/*/konversation, and $KF6_PREFIX/share/konversation

### Short Descriptions

konversation | is an IRC client

- Prev

  Konsole-25.12.2

- Next

  libkexiv2-25.12.2

- Up
- Home